### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-gallery/ecl-gallery-media.directive.ts`

### Metadata

Selector | `[eclGalleryMedia]`

### Index

###### Properties

- sources
- tracks

###### Inputs

- poster

###### HostBindings

- class

###### Accessors

- cssClasses

### Constructor

`constructor(el: ElementRef)`

Parameters :

Name | Type | Optional
el | `ElementRef` | No

### Inputs

poster
Type : `string`

### HostBindings

class
Type : `any`

### Properties

sources
Type : `Array<string>`
Default value : `[]`

tracks
Type : `Array<string>`
Default value : `[]`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""